--- layout: api title: "v1.6.2 API: L.mapbox.simplestyle.style(feature)" categories: api version: v1.6.2 permalink: /api/v1.6.2/l-mapbox-simplestyle-style ---

## L.mapbox.simplestyle.style(feature)

Given a GeoJSON Feature with optional simplestyle-spec properties, return an options object formatted to be used as Leaflet Path options.

Options | Value | Description
--- | --- | ---
feature | object | A GeoJSON feature object

Examples:

    L.geoJson(geoJson, {
        pointToLayer: L.mapbox.simplestyle.style,
    });

Returns:

An object formatted to be used as Leaflet Path options.